# OryHydraClient::JsonWebKeySetGeneratorRequest

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **alg** | **String** | The algorithm to be used for creating the key. Supports \&quot;RS256\&quot;, \&quot;ES512\&quot;, \&quot;HS512\&quot;, and \&quot;HS256\&quot; |  |
| **kid** | **String** | The kid of the key to be created |  |
| **use** | **String** | The \&quot;use\&quot; (public key use) parameter identifies the intended use of the public key. The \&quot;use\&quot; parameter is employed to indicate whether a public key is used for encrypting data or verifying the signature on data. Valid values are \&quot;enc\&quot; and \&quot;sig\&quot;. |  |

## Example

```ruby
require 'ory-hydra-client'

instance = OryHydraClient::JsonWebKeySetGeneratorRequest.new(
  alg: null,
  kid: null,
  use: null
)
```

